@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S %0 %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
if errorlevel 1 goto script_failed_so_exit_with_non_zero_val 2>nul
goto endofperl
@rem ';
#!perl
#line 15
use strict;
use warnings;
use App::Prove::RunScripts;

my $app = App::Prove::RunScripts->new;
$app->process_args(@ARGV);
exit( $app->run ? 0 : 1 );

__END__

=head1 NAME

prove_runscripts - Run scripts around a TAP harness.

=head1 USAGE

prove_runscripts [options] [files or directories]

=head1 OPTIONS

Options that take arguments:
      --before          Run script before a TAP harness.
      --after           Run script after a TAP harness.

Other options are same as C<prove>. See C<prove -h> for more details.

=head1 EXAMPLE

=head2 Run Test::mysqld before a running test scripts

    $ prove_runscripts --before setup_test_mysqld.pl -lr t/

=head2 Run multiple scripts

    $ prove_runscripts -lr t/ \
    > --before b1.pl --before b2.pl \
    > --after  a1.pl --after  a2.pl

This command run scripts like below.

    b1.pl -> b2.pl -> t/ -> a1.pl -> a2.pl

=head1 SEE ALSO

L<App::Prove::RunScripts>, L<prove>

=cut

__END__
:endofperl
